<template>
	<div class="hotel-info">
		<div class="container hotelblock">
				<div class="col-md-12"><br></div>
				<div class="col-md-5">
					<img src="@/assets/hotelmonth.jpg" class="img-rounded img-responsive">
				</div>
				
				<div class="col-md-7">
					<h4>{{hotel.name}}<span class="pull-right"><span class="glyphicon glyphicon-star" v-for="n in hotel.stars"></span></span></h4>
					<br>
					<p><span class="glyphicon glyphicon-send"></span> {{hotel.address}}</p>
					<br>
					<p>{{hotel.description}}</p>
					<span class="badge">
						<span class="glyphicon glyphicon-glass"></span>
					</span>
					<span class="badge">
						<span class="glyphicon glyphicon-cutlery"></span>
					</span>
					<span class="badge">
						<span class="glyphicon glyphicon-signal"></span>					
					</span>
					<span class="badge">
						<span class="glyphicon glyphicon-book"></span>
					</span>
					<br>
					<br>
					<h4>Let's book a room!</h4>
					<p>Hotel Rooms starting at €{{hotel.price}},- per night.</p>
					<button type="button" class="btn btn-danger">
						<router-link :to="{name: 'booking', params: {hotelId: hotel.id}}">Book this hotel <span class="glyphicon glyphicon-menu-right"></span></router-link></button>

						<router-link tag="button" to="/">Test</router-link>
					<div class="col-md-12"><br></div>
				</div>
			</div>
	</div>
</template>

<script >
	
export default {
	name: 'HotelComponent',	
	props: {
		hotel: {
			type: Object,
			required: true,
		},
	}
};

</script>

<style scoped>
	.hotelblock{
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	margin-bottom: 30px;
}
</style>